%global    gem_name    rspec-mocks

%bcond_with bootstrap
%bcond_with aruba
%undefine __brp_mangle_shebangs

Summary:    RSpec's 'test double' framework (mocks and stubs)
Name:       rubygem-%{gem_name}
Version:    3.12.4
Release:    4%{?dist}
License:    MIT
URL:        http://github.com/rspec/rspec-mocks
Source0:    https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:    https://github.com/rspec/%{gem_name}/archive/v%{version}.tar.gz

BuildRequires:    rubygems-devel
%if %{without bootstrap}
BuildRequires:    rubygem(rspec) rubygem(thread_order) rubygem(rake)
%if %{with aruba}
BuildRequires:    rubygem(aruba) rubygem(cucumber) rubygem(minitest)
%endif
BuildRequires:    git
%endif
BuildArch:    noarch

%description
rspec-mocks provides a test-double framework for rspec including support for method stubs, fakes,
and message expectations.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version} -b 1

sed -i cucumber.yml -e "s|~@wip|not @wip|"
sed -i features/support/disallow_certain_apis.rb -e "s|~@allow-old-syntax|not @allow-old-syntax|"

gem specification %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

%install
%gem_install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_instdir}/{.document,.yardopts}

%check
%if %{without bootstrap}
%if %{with aruba}
sed -i spec/integration/rails_support_spec.rb \
    -e 's|bundle exec rspec|rspec|'

LANG=C.UTF-8
export RUBYLIB=$(pwd)/lib
rspec spec/

export CUCUMBER_PUBLISH_QUIET=true
cucumber
%endif
%endif

%files
%license    %{gem_instdir}/LICENSE.md
%doc    %{gem_instdir}/Changelog.md
%doc    %{gem_instdir}/README.md
%{gem_docdir}
%{gem_instdir}/lib/
%{gem_spec}
%exclude    %{gem_cache}

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.4-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.4-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 3.12.4-2
- close bootstrap

* Mon Mar 20 2023 Shuo Wang <abushwang@tencent.com> - 3.12.4-1
- initial build
